Skip to main content
PUT
Set a Lusor Phone's identity

Authorizations

X-Api-Key
string
header
required

Workspace API key, created in the dashboard under Settings → API Keys.

Path Parameters

workspaceId
string<uuid>
required

Workspace UUID. Caller must have access.

deviceId
string
required

Device id (paired into the workspace).

Body

application/json

At least one field. Text fields are 1-64 letters, digits, spaces or . _ + -.

brand
string
Example:

"google"

manufacturer
string
Example:

"Google"

model
string
Example:

"Pixel 8"

device
string

Device codename (ro.product.device).

Example:

"shiba"

name
string

Product name (ro.product.name).

Example:

"shiba"

fingerprint
string

Build fingerprint: brand/name/device:release/id/incremental:type/tags.

Maximum string length: 200
androidId
string

The Android ID, 16 hex digits.

Pattern: ^[0-9A-Fa-f]{16}$

Response

The change was accepted

data
object
required